---
title: Generate a change request description
url: https://www.tines.com/docs/api/stories/change-control/ai_description/
updated: 2025-08-28T10:08:27+00:00
description: Generate a new description for the changes captured in the change request. AI features must be enabled for a successful response.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md) › [Change request](https://www.tines.com/llm/docs/api/stories/change-control.md)*

# Generate a change request description

*[View on tines.com](https://www.tines.com/docs/api/stories/change-control/ai_description/)*

## Description

Generate a new description for the changes captured in the change request. AI features must be enabled for a successful response.

## Request

HTTP Method: **GET**

| Query Parameter | Description                                                                                            |
| --------------- | ------------------------------------------------------------------------------------------------------ |
| draft_id        | The ID of the draft. [About drafts](https://www.tines.com/docs/stories/change-control/#api-endpoints). |

| Path Parameter | Description          |
| -------------- | -------------------- |
| story_id       | The ID of the story. |

### Sample request

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/stories/<<story_id>>/change_request/ai_description  \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "draft_id": "<<draft_id>>"
      }'
```

## Response

A successful request will return a JSON object with the description of the changes captured in the change request.

### Field description

| Parameter                     | Description                                                              |
| ----------------------------- | ------------------------------------------------------------------------ |
| change_request_ai_description | The generated description of the changes captured in the change request. |

### Sample response

<!-- cspell:disable -->

```json
{
  "change_request_ai_description": "Summary of changes"
}
```

<!-- cspell:enable -->
